Update: Just after I posted this, the author of Colloquy posted on Twitter that the’s got a new Nightly that solves this problem in a “proper” way. Proves the power of Twitter works!
32-bit mode

I just upgraded to Snow Leopard and loaded up my IRC client, which happens to be Colloquy, and noticed that Growl stopped working! Checked Growl, Adium was managing to use it just fine.

Turns out that you need to load Colloquy in 32-bit mode as there is no 64-bit Growl API at present.

To do this:

  1. Go to Applications in Finder
  2. Find Colloquy
  3. Highlight it with a single left click
  4. Hit CMD-I or go to File -> Get Info
  5. Tick the ‘Open in 32-bit mode’ box
  6. Close the window
  7. Load up Colloquy Can’t see why Colloquy needs 64-bits anyway. I’d rather it was limited to 4GB of RAM - the amount of memory leaks it tends to have!